%opt_free_sce0.m
% Script to determine the inputs for scenario 0

clc
tic
global well_parameters
init_parameters
init_ss_data
% Scenario 3

% Find m0
well_numbers = [1 2 3 4 5 6 7];

% routing = base_case_routing(well_numbers);
routing = [0 0 1 0 0 0 0]';
[z,fval] = opt_free_solution(well_numbers,routing);
sce0 = load('sce0_of');
% sce0m0 = sce0.m0;
sce0z = sce0.z;
% z0 = [z0(1:6); sce0z(7:8); z0(7:12)];
m0 = zeros(3,7);
for i = 1:7
    u = sce0z(2*i-1:2*i);
    well = well_parameters(:,i);
    m0(:,i) = steady_state(u,well);
end

% Find new z, new routing
% wn = [1 3 4 5 6 7];
% routing1 = base_case_routing(wn);
% [z1,fval] = opt_free_solution(wn,routing);
% z1 = [z1(1:2); 0; 0; z1(3:12)];
% routing1 = [routing1(1) 0 routing1(2:6)]';


% routing = [sce0.routing routing1];
% z = [sce0z z1];

ti = 0;
hrs = 2;
% save('sce2_of','routing','z','ti','m0','hrs');
toc
%simulate_scenario(routing,z,ti,m0,hrs);