function plot_ss_prod_data(k)

filename = ['ss_data_well_' int2str(k) '.mat'];
data = load(filename);
u_gl = data.u_gl;
u_pc = data.u_pc;
m_ga = data.m_ga;
m_gt = data.m_gt;
m_lt = data.m_lt;

figure(k);
subplot(1,3,1);
surf(u_gl,u_pc*100,m_ga);
xlabel('u_g_i [kg/s]');
ylabel('u_p_c [%]');
zlabel('m_ga [kg/s]');
subplot(1,3,2);
surf(u_gl,u_pc*100,m_gt);
xlabel('u_g_i [kg/s]');
ylabel('u_p_c [%]');
zlabel('m_gt [kg/s]');
subplot(1,3,3);
surf(u_gl,u_pc*100,m_lt);
xlabel('u_g_i [kg/s]');
ylabel('u_p_c [%]');
zlabel('m_lt [kg/s]');
%title('Steady-state oil production');
