function routings = gen_rout_mat(n)
    if n > 1
        bin = [0;1];
    else
        routings = 0;
        return
    end

    for i = 1:n-2;
        bin = [zeros(size(bin,1),1) bin; ones(size(bin,1),1) bin];
    end
    bin = [zeros(size(bin,1)-1,1) bin(2:end,:)];
    bin = flipud(bin);

    bin_sorted = bin;
    k = 1;
    for i = 0:n
        for j = 1:size(bin,1)
            if sum(bin(j,:)) == i
                bin_sorted(k,:) = bin(j,:);
                k = k+1;
            end
        end
    end
    routings = bin_sorted;
end